Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface QueryCacheRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface QueryCacheRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface contains accessor methods for all query cache runtime information collected for an EJB. The cache miss counts need some explaining. A query-cache miss can occur due to one of five reasons: 1. The query result was not found in the query-cache 2. The query result has timed out 3. A bean which satisfies the query wasnot found in the entity cache 4. A query with relationship-caching turned on did not find the related-beans query result 5. A query which loads multiple EJBs could not load one or more of them To better aid tuning, there are separate counters provided for each of the last four of the above causes. The fifth counter is a total cache miss counter. This counter takes into account all five causes of a cache miss.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getCacheAccessCount()` Provides a count of the number of accesses of the query cache for this EJB.
`long` | `getCacheHitCount()` Provides a count of the number of cache hits of the query cache for this EJB.
`long` | `getCacheMissByBeanEvictionCount()` Provides a count of the number of cache misses of the query cache for this EJB because corresponding beans were not found in the entity cache.
`long` | `getCacheMissByDependentQueryMissCount()` Provides a count of the number of cache misses of the query cache for this EJB because a dependent query was not found in another EJB's query cache.
`long` | `getCacheMissByRelatedQueryMissCount()` Provides a count of the number of cache misses of the query cache for this EJB because a related query was not found in another EJB's query cache.
`long` | `getCacheMissByTimeoutCount()` Provides a count of the number of cache misses of the query cache for this EJB due to query results timing out.
`int` | `getTotalCachedQueriesCount()` Provides a count of the total number of query results for this EJB currently in the query cache.
`long` | `getTotalCacheMissCount()` Provides a count of the total number of cache misses of the query cache for this EJB.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getCacheAccessCount

    public long getCacheAccessCount()

  Provides a count of the number of accesses of the query cache for this EJB.

  Returns the number of accesses of the query cache for this EJB.

  Returns:
    The cacheAccessCount value

### getCacheHitCount

    public long getCacheHitCount()

  Provides a count of the number of cache hits of the query cache for this EJB.

  Returns the number of cache hits of the query cache for this EJB.

  Returns:
    The cacheHitCount value

### getCacheMissByBeanEvictionCount

    public long getCacheMissByBeanEvictionCount()

  Provides a count of the number of cache misses of the query cache for this EJB because corresponding beans were not found in the entity cache.

  Returns the number of times a cache miss occurred for this EJB because corresponding beans were not found in the entity cache.

  Returns:
    The cacheMissByBeanEvictionCount value

### getCacheMissByDependentQueryMissCount

    public long getCacheMissByDependentQueryMissCount()

  Provides a count of the number of cache misses of the query cache for this EJB because a dependent query was not found in another EJB's query cache.

  Returns the number of times a cache miss occurred for this EJB because a dependent query was not found in another EJB's query cache.

  Returns:
    The cacheMissByDependentQueryMissCount value

### getCacheMissByRelatedQueryMissCount

    public long getCacheMissByRelatedQueryMissCount()

  Provides a count of the number of cache misses of the query cache for this EJB because a related query was not found in another EJB's query cache.

  Returns the number of times a cache miss occurred for this EJB because a related query was not found in another EJB's query cache.

  Returns:
    The cacheMissByRelatedQueryMissCount value

### getCacheMissByTimeoutCount

    public long getCacheMissByTimeoutCount()

  Provides a count of the number of cache misses of the query cache for this EJB due to query results timing out.

  Returns the number of cache misses due to query result timeout for this EJB.

  Returns:
    The cacheMissByTimeoutCount value

### getTotalCachedQueriesCount

    public int getTotalCachedQueriesCount()

  Provides a count of the total number of query results for this EJB currently in the query cache.

  Returns the total number of query results for this EJB currently in the EJB cache.

  Returns:
    The totalCachedQueriesCount value

### getTotalCacheMissCount

    public long getTotalCacheMissCount()

  Provides a count of the total number of cache misses of the query cache for this EJB.

  Returns the total number of cache misses of the query cache for this EJB.

  Returns:
    The totalCacheMissCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD